INNERNET(8)

NAME
innernet - manual page for innernet 1.6.0

SYNOPSIS
innernet [OPTIONS] [COMMAND]

DESCRIPTION
A client to manage innernet network interfaces.

  Commands:

install
    Install a new innernet config

show
    Enumerate all innernet connections

up  Bring up your local interface, and update it with latest peer list

fetch
    Fetch and update your local interface with the latest peer list

uninstall
    Uninstall an innernet network

down
    Bring down the interface (equivalent to 'wg-quick down <interface>')

add-peer
    Add a new peer

rename-peer
    Rename a peer

add-cidr
    Add a new CIDR

delete-cidr
    Delete a CIDR

list-cidrs
    List CIDRs

disable-peer
    Disable an enabled peer

enable-peer
    Enable a disabled peer

add-association
    Add an association between CIDRs

delete-association
    Delete an association between CIDRs

list-associations
    List existing assocations between CIDRs

set-listen-port
    Set the local listen port

override-endpoint
    Override your external endpoint that the server sends to other peers

completions
    Generate shell completion scripts

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-v, --verbose...
    Verbose output, use -vv for even higher verbositude

-c, --config-dir <CONFIG_DIR>
    [default: /etc/innernet]

-d, --data-dir <DATA_DIR>
    [default: /var/lib/innernet]

--no-routing
    Whether the routing should be done by innernet or is done by an external tool like e.g. babeld

--backend <BACKEND>
    Specify a WireGuard backend to use. If not set, innernet will auto-select based on availability [default: kernel] [possible values: kernel, userspace]

--mtu <MTU>
    Specify the desired MTU for your interface (default: 1280)

-h, --help
    Print help

-V, --version
    Print version